"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const cycleGanModelEvaluate = (data, model, args) => __awaiter(void 0, void 0, void 0, function* () {
    const { testLoader } = data;
    const aList = [];
    const bList = [];
    for (let i = 0; i < (yield testLoader.len()); ++i) {
        const image = yield testLoader.getItem(i);
        switch ((yield image).label.name.toLowerCase()) {
            case 'a':
                aList.push((yield image).data);
                break;
            case 'b':
                bList.push((yield image).data);
                break;
            default:
                console.warn('unknown type of ', (yield image).data);
                break;
        }
    }
    const [G_loss_fake_B, G_loss_rec_A, G_loss_fake_A, G_loss_rec_B, G_loss_id_A, G_loss_id_B, D_loss_real_A, D_loss_fake_A, D_loss_real_B, D_loss_fake_B] = model.model.evaluate(aList, bList);
    return {
        pass: true,
        loss: {
            G_loss_fake_B, G_loss_rec_A, G_loss_fake_A, G_loss_rec_B, G_loss_id_A, G_loss_id_B,
            D_loss_real_A, D_loss_fake_A, D_loss_real_B, D_loss_fake_B
        }
    };
});
exports.default = cycleGanModelEvaluate;
//# sourceMappingURL=index.js.map